
Figure - Bug #118596
IOVDEV-33029【内部】【VC1】【0106】【台架】【EE环境】【副屏】副屏屏保界面发生冻屏现象
2023-06-06 20:16 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-06

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 冻屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230606  16点51分（第262次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

设置-显示中屏保的启用时机为“闲置30s后”

1.副屏闲置30s进入屏保

2.在屏保界面向上滑动操作

【实际结果】

未退出屏保，发生冻屏现象--15分钟恢复显示launcher桌面

【期望结果】

副屏正常响应操作，退出屏保

【备注】：

车架号VIN：HRYTTESTVINMGM400，可从云端获取日志

副屏log地址：https://ofs.human-horizons.com/#/download/index/cuQLB%2FbEvCc%3D

【影响版本】：副屏：01.00.0106.c104，中控：03.02.0088.c103

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-06 20:20 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118596

#2 - 2023-06-06 21:22 - CD APP-王营

- Status changed from New to ASSIGNED

【状态】
分析中

【分析】

1、分析log，在16：51分DreamService未收到touch事件。

2、lowmemorykiller触发，怀疑内存出现问题，系统卡顿。

【下一步】

1、分析Dream的启动和退出时间点

2、分析是否因为内存导致了touch事件无响应。

#3 - 2023-06-07 11:10 - CD APP-王营

- Assignee changed from CD APP-王营 to CD BSP-杜磊

【分析】

测试描述，问题产生的时间点为16：51

    -  上层接收到Touch事件后会打印如下Log

06-06 16:51:05.400  2508  2508 D ViewTouchDebug: mView : DecorView@9741b5b[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=1353.0, y0=742.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x2, edgeFlags=0x0,

pointerCount=1, historySize=5, eventTime=3092530, downTime=3092470, deviceId=4, source=0x5002, displayId=0, eventId=1062172862 }

06-06 16:51:05.401  2508  2508 D ViewTouchDebug: mView : DecorView@9741b5b[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id0=0, x0=1353.0, y0=742.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x2, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=3092566, downTime=3092470, deviceId=4, source=0x5002, displayId=0, eventId=597062492 }

    -  根据Log分析，用户在16:51:35启动了自定义屏保

06-06 16:51:35.237  1564  1710 I DreamManagerService: Entering dreamland.

06-06 16:51:35.238  1564  1710 I PowerManagerService: Dreaming...

06-06 16:51:35.245  1564  1654 I DreamController: Starting dream:

name=ComponentInfo{com.thundercomm.screensaver/com.thundercomm.screensaver.service.CustomDream}, isTest=false, canDoze=false, userId=0

    -  在接下来的30秒内未收到touch事件

    -  在16：52：04位置再次收到了Touch事件

06-06 16:52:04.626 24977 24977 D ViewTouchDebug: mView : DecorView@dfaa31f[DreamActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id0=0, x0=1095.0, y0=1044.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x2, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=3151861, downTime=3151861, deviceId=4, source=0x5002, displayId=0, eventId=621881473 }

    -  结合现象视频，测试开启了pointer，界面在滑动过程中没能绘制出touch轨迹

【下一步】

请杜磊帮忙分析BSP是否在这一分钟之内有事件上报

#4 - 2023-06-07 11:30 - CD BSP-杜磊

- File 11.zip added

#5 - 2023-06-07 15:16 - CD BSP-杜磊

tlog_iov0201017500006162025411a2212290000000911_000262_0606170956/interrupts/interrupts.txt
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0


Tue Jun  6 16:49:39 CST 2023

350:       7218          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

Tue Jun  6 16:50:09 CST 2023                                                                                                                                                                                

350:       7369          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

Tue Jun  6 16:50:39 CST 2023

350:       7540          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

Tue Jun  6 16:51:09 CST 2023

350:       7674          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

Tue Jun  6 16:51:39 CST 2023

350:       7674          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

Tue Jun  6 16:52:03 CST 2023

350:       9124          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

从TP中断log来看，在16:5１时，TP中断数未变化，在16:52时，中断数发生较多增长，此时tp在进行报点。

看一下是否在16:51 - 16:52 系统是否有卡顿

#6 - 2023-06-07 15:21 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD APP-王营

#7 - 2023-06-08 11:17 - CD APP-王营

【状态】

此问题上层和BSP都进行了分析

1、底层log有报点。

2、上层在ViewRootImpl.java中没有收到Touch事件的log

结合以上两点，需要和framework讨论在InputManager或者更靠近底层的位置添加log，排查事件没有分发到View层的原因

【下一步】

添加强化日志

#8 - 2023-06-08 20:22 - CD APP-王营

【分析】

1、在Touch失效的时间点，system_server发生了ANR，此ANR可能是导致手势没有分发到View层的原因。

2、Logcat中没有找到system_server ANR 的相关log，可能存在log缺失。

【下一步】

1、分析system_server发生ANR的原因。

#9 - 2023-06-09 17:23 - CD- AF-刘景和

【分析】

1、system_server发生ANR时这段时间hht_ota_mgr占用CPU率高

06-06 16:52:09.726  1564  7175 E ActivityManager: CPU usage from 1812ms to -5070ms ago (2023-06-06 17:05:23.040 to 2023-06-06 16:52:09.694):

06-06 16:52:09.726  1564  7175 E ActivityManager:   94% 2709/hht_ota_mgr: 39% user + 55% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   46% 1919/com.android.systemui: 23% user + 22% kernel / faults: 6382 minor 23 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   36% 1564/system_server: 21% user + 14% kernel / faults: 8474 minor 143 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   33% 14239/com.tencent.wemeet.app: 22% user + 10% kernel / faults: 12351 minor 9 major
06-06 16:52:09.726  1564  7175 E ActivityManager:   30% 3372/com.tencent.mobileqq: 22% user + 7.9% kernel / faults: 9630 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   30% 3131/com.tencent.mobileqq:MSF: 24% user + 6.5% kernel / faults: 15091 minor 27 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   26% 4592/com.tencent.mm: 17% user + 9.2% kernel / faults: 14363 minor 2 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   22% 5988/com.qiyi.video: 14% user + 8.4% kernel / faults: 13047 minor 3 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   21% 28253/com.ss.android.ugc.aweme: 14% user + 6.8% kernel / faults: 8046 minor

2、根据06-06 16:52:03.058  1564  1820 I WindowManager: ANR in gesture monitor owned by pid:1919.  Reason: edge-swipe (server) is not responding. Waited 5000ms

for MotionEvent这个日志信息，在发生system_server anr前，systemui已经anr,此时system_server在调用dumpAnrStateLocked函数，保存dump systemui信息时，

又发生新的anr，即system_server的anr，此时怀疑system_server的anr是由于hht_ota_mgr的高占比导致dump信息超时导致；

【下一步】

查找systemui发生anr原因

#10 - 2023-06-12 20:52 - CD- AF-刘景和

【分析】

06-06 16:52:03.058 1564 1820 I WindowManager: ANR in gesture monitor owned by pid:1919. Reason: edge-swipe (server) is not responding. Waited 5000ms for

MotionEvent

...

06-06 16:52:09.726  1564  7175 E ActivityManager: CPU usage from 1812ms to -5070ms ago (2023-06-06 17:05:23.040 to 2023-06-06 16:52:09.694):

06-06 16:52:09.726  1564  7175 E ActivityManager:   94% 2709/hht_ota_mgr: 39% user + 55% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   46% 1919/com.android.systemui: 23% user + 22% kernel / faults: 6382 minor 23 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   36% 1564/system_server: 21% user + 14% kernel / faults: 8474 minor 143 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   33% 14239/com.tencent.wemeet.app: 22% user + 10% kernel / faults: 12351 minor 9 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   30% 3372/com.tencent.mobileqq: 22% user + 7.9% kernel / faults: 9630 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   30% 3131/com.tencent.mobileqq:MSF: 24% user + 6.5% kernel / faults: 15091 minor 27 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   26% 4592/com.tencent.mm: 17% user + 9.2% kernel / faults: 14363 minor 2 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   22% 5988/com.qiyi.video: 14% user + 8.4% kernel / faults: 13047 minor 3 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   21% 28253/com.ss.android.ugc.aweme: 14% user + 6.8% kernel / faults: 8046 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   18% 96/kswapd-1:0: 0% user + 18% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   18% 6581/com.qiyi.video:downloader: 10% user + 7.3% kernel / faults: 10080 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   18% 29446/com.ss.android.lark: 9.2% user + 8.7% kernel / faults: 11662 minor 10 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   16% 28734/air.tv.douyu.android: 8.7% user + 8.1% kernel / faults: 16971 minor 11 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 1209/media.extractor: 0.1% user + 0% kernel / faults: 2235 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   13% 4460/com.tencent.mm:push: 8.9% user + 4.4% kernel / faults: 5357 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   10% 27756/tv.danmaku.bilibilihd: 6.3% user + 4.3% kernel / faults: 5424 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   8.1% 1001/surfaceflinger: 5.3% user + 2.7% kernel / faults: 1319 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   7.8% 31451/com.ss.android.lark:wschannel: 5.2% user + 2.5% kernel / faults: 3642 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   7.6% 32626/com.tencent.wework: 3.8% user + 3.8% kernel / faults: 3630 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   6.6% 516/lmkd: 1.1% user + 5.5% kernel / faults: 36 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   6.8% 29027/air.tv.douyu.android:DYVMDtr: 4.3% user + 2.5% kernel / faults: 7865 minor 5 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   6.6% 5411/com.netease.cloudmusic: 2% user + 4.6% kernel / faults: 3543 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   6% 22942/audioserver: 3.6% user + 2.3% kernel / faults: 340 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   6% 27936/tv.danmaku.bilibilihd:pushservice: 4.7% user + 1.2% kernel / faults: 3485 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   5.5% 651/com.microsoft.emmx: 2.6% user + 2.8% kernel / faults: 1931 minor 9 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   5.5% 1997/com.tencent.qqlive:cache: 3.5% user + 2% kernel / faults: 4203 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   5.2% 3435/com.tencent.android.qqdownloader: 3.8% user + 1.4% kernel / faults: 1782 minor
06-06 16:52:09.726  1564  7175 E ActivityManager:   4.7% 845/vendor.qti.hardware.display.composer-service: 3% user + 1.6% kernel / faults: 275 minor 7 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 29135/air.tv.douyu.android:pushservice: 0% user + 0% kernel / faults: 6703 minor 3 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   4.6% 27883/kworker/u16:4+WCNSS_CNTL: 0% user + 4.6% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 990/com.microsoft.emmx:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0: 0%

user + 0% kernel / faults: 2804 minor 13 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   4.3% 22924/android.hardware.audio.service: 0.7% user + 3.5% kernel / faults: 357 minor 2 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   3.9% 3310/com.tencent.android.qqdownloader:daemon: 1.2% user + 2.7% kernel / faults: 883 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   3.5% 620/com.tencent.wework:wxa_container0: 2.5% user + 1% kernel / faults: 2414 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   3.5% 1743/com.tencent.qqlive: 1.2% user + 2.2% kernel / faults: 2077 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   3.5% 22655/kworker/u16:8-CDSP_DATA: 0% user + 3.5% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   3.5% 28664/kworker/u16:9-ufs_clkscaling_0: 0% user + 3.5% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   3.1% 515/logd: 2.5% user + 0.5% kernel / faults: 142 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   3.3% 3433/com.tencent.qqlive:xg_vip_service: 1.5% user + 1.7% kernel / faults: 4039 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   3.3% 28555/kworker/u16:7-ufs_pm_qos_0: 0% user + 3.3% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   3.1% 30367/com.tencent.tmgp.sgame: 0.7% user + 2.3% kernel / faults: 3997 minor 106 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   2.8% 681/netd: 0.7% user + 2% kernel / faults: 1380 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 3198/kworker/u16:17-devfreq_wq: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   3% 22644/kworker/u16:3-memlat_wq: 0% user + 3% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   2.8% 5652/com.netease.cloudmusic:play: 0% user + 2.8% kernel / faults: 3937 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   2.7% 2508/com.android.launcher3: 2% user + 0.6% kernel / faults: 3689 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   2.7% 14495/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0:

0.9% user + 1.7% kernel / faults: 3570 minor 7 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   2.7% 30399/com.tencent.tmgp.sgame:xg_vip_service: 1.4% user + 1.2% kernel / faults: 3475 minor 2 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   2.3% 1227/media.codec: 1.7% user + 0.6% kernel / faults: 6742 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   2.3% 13303/com.qiyi.video:plugin1: 1.4% user + 0.9% kernel / faults: 2600 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   2.2% 29465/kworker/u16:10+NPU_CNTL: 0% user + 2.2% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   2% 24977/com.thundercomm.screensaver: 0.7% user + 1.2% kernel / faults: 4341 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 517/servicemanager: 0% user + 0% kernel / faults: 6 minor 2 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   1.9% 9142/kworker/u16:18-LPASS_DATA: 0% user + 1.9% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   1.5% 14392/com.tencent.wemeet.app:wemeet.web: 0.4% user + 1.1% kernel / faults: 2785 minor 6 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   1.4% 1292/media.swcodec: 0.6% user + 0.7% kernel / faults: 3968 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   1.4% 3037/com.hryt.lebotp: 0.6% user + 0.7% kernel / faults: 604 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   1.4% 30746/com.ss.android.ugc.aweme:pushservice: 0.6% user + 0.7% kernel / faults: 2073 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   1.4% 32044/kworker/u16:11+WCNSS_CNTL: 0% user + 1.4% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   1.2% 1220/storaged: 1% user + 0.1% kernel / faults: 345 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   1.2% 2779/com.android.providers.media.module: 0.7% user + 0.4% kernel / faults: 1027 minor 2 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   1% 1175/tlog: 0.6% user + 0.4% kernel / faults: 29 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   1.1% 29890/com.ss.android.lark:sandboxed_process1: 0% user + 1.1% kernel / faults: 1974 minor 8 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   1.1% 30690/com.ss.android.ugc.aweme:push: 0.6% user + 0.4% kernel / faults: 812 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.8% 680/statsd: 0.5% user + 0.2% kernel / faults: 132 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.9% 3201/kworker/u16:19+LPASS_DCI: 0% user + 0.9% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.7% 1048/com.microsoft.emmx:privileged_process0: 0.1% user + 0.6% kernel / faults: 2153 minor 2 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.7% 1188/cnss_diag: 0.6% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 3224/kworker/u16:23-memlat_wq: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.5% 1/init: 0.1% user + 0.4% kernel / faults: 361 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.5% 9/ksoftirqd/0: 0% user + 0.5% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.5% 29/ksoftirqd/2: 0% user + 0.5% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.6% 1214/mediaserver: 0.1% user + 0.4% kernel / faults: 465 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.6% 2204/com.android.networkstack.process: 0.3% user + 0.3% kernel / faults: 138 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.4% 64/rcuop/6: 0% user + 0.4% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 393/crtc_commit:125: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.4% 487/ueventd: 0.4% user + 0% kernel / faults: 1 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 578/android.system.suspend@1.0-service: 0% user + 0% kernel / faults: 71 minor

2025-07-04 5/8

mailto:android.system.suspend@1.0-service


06-06 16:52:09.726  1564  7175 E ActivityManager:   0.4% 837/android.hardware.wifi@1.0-service: 0.3% user + 0.1% kernel / faults: 147 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 5182/com.sohu.inputmethod.sogou: 0% user + 0% kernel / faults: 998 minor 14 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.4% 6527/com.tencent.ilink.ServiceProcess: 0.3% user + 0.1% kernel / faults: 563 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.2% 90/oom_reaper: 0% user + 0.2% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 111/system: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.2% 288/kgsl_worker_thr: 0% user + 0.2% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 828/android.hardware.memtrack@1.0-service: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 870/vendor.qti.hardware.perf@2.2-service: 0% user + 0% kernel / faults: 51 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 1212/media.metrics: 0% user + 0% kernel / faults: 96 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.3% 2103/com.thundercomm.microservice: 0.1% user + 0.1% kernel / faults: 310 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.3% 3502/com.tencent.android.qqdownloader:cloud: 0.1% user + 0.1% kernel / faults: 246 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.3% 4064/com.tencent.qqlive:wxa_container0: 0.1% user + 0.1% kernel / faults: 1210 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 4213/com.android.providers.calendar: 0% user + 0% kernel / faults: 975 minor 5 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.3% 4859/com.tencent.qqlive:pmservice: 0.1% user + 0.1% kernel / faults: 987 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.3% 12380/com.kugou.android.support: 0.1% user + 0.1% kernel / faults: 15 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.3% 14532/com.tencent.wemeet.app:xg_vip_service: 0.1% user + 0.1% kernel / faults: 128 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 10/rcu_preempt: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 11/rcu_sched: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 32/rcuop/2: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 48/rcuop/4: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 49/rcuos/4: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 56/rcuop/5: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 89/qmp_aop: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 101/irq/41-tsens-up: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 110/ion-pool-cached: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 372/kworker/0:1H-kblockd: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 374/kworker/2:1H-kblockd: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 394/crtc_event:125: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 518/hwservicemanager: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 642/tombstoned: 0% user + 0% kernel / faults: 16 minor 17 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 661/vendor.ts.uart@1.0-service: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 682/zygote64: 0% user + 0% kernel / faults: 47 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 720/iptables-restore: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 721/ip6tables-restore: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 866/vendor.qti.hardware.iop@2.0-service: 0% user + 0% kernel / faults: 11 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 1376/com.android.documentsui: 0% user + 0% kernel / faults: 475 minor 3 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 1543/com.android.shell: 0% user + 0% kernel / faults: 209 minor 2 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 1774/com.ss.android.ugc.aweme:sandboxed_process1: 0% user + 0% kernel / faults: 560 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 2111/com.thundercomm.microsettings: 0% user + 0.1% kernel / faults: 24 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 2411/com.android.settings: 0% user + 0% kernel / faults: 781 minor 9 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 2453/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0: 0%

user + 0% kernel / faults: 415 minor 5 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 2691/com.qualcomm.location: 0% user + 0% kernel / faults: 62 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 2727/irq/16-90b6400.: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 3373/dp_rx_thread_0: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 3793/com.microsoft.emmx:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:1:

0% user + 0.1% kernel / faults: 795 minor 4 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 3890/com.tencent.qqmusicpad:QQPlayerService: 0% user + 0.1% kernel / faults: 23 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 4547/com.tencent.qqmusicpad: 0.1% user + 0% kernel / faults: 91 minor 1 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 5953/com.qualcomm.timeservice: 0% user + 0% kernel / faults: 108 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 7763/kworker/u16:16: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 8714/com.thundercomm.gamemode.provider: 0% user + 0% kernel / faults: 190 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 10604/kworker/2:2-events: 0% user + 0.1% kernel
06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 13560/com.android.inputmethod.latin: 0% user + 0% kernel / faults: 19 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 14477/com.android.webview:webview_service: 0% user + 0% kernel / faults: 81 minor

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 20277/kworker/1:1-mm_percpu_wq: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 20797/kworker/0:2-sock_diag_events: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:   0% 25526/com.android.gallery3d: 0% user + 0% kernel / faults: 442 minor 3 major

06-06 16:52:09.726  1564  7175 E ActivityManager:   0.1% 25986/kworker/u17:8-kgsl-events: 0% user + 0.1% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 11548/kworker/u17:1-kgsl-events: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 11552/sh: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 11571/kworker/4:2-events: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 11693/kworker/u17:2-hal_register_write_wq: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 11720/kworker/5:1-events: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 11780/sleep: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 11826/com.qti.diagservices: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 12079/crash_dump64: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 12104/com.tencent.mobileqq:MSF: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 12110/kworker/1:3: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 12119/crash_dump64: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 12123/vendor.qti.hardware.display.composer-service: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager:  +0% 12163/getprop: 0% user + 0% kernel

06-06 16:52:09.726  1564  7175 E ActivityManager: 91% TOTAL: 44% user + 39% kernel + 1.6% iowait + 2.6% irq + 2.8% softirq

06-06 16:52:09.726  1564  7175 E ActivityManager: CPU usage from 3952089ms to 3952089ms ago (1970-01-01 08:00:00.000 to 1970-01-01 08:00:00.000) with 0%

awake:

06-06 16:52:09.726  1564  7175 E ActivityManager: 0% TOTAL: 0% user + 0% kernel

依据以上日志信息可以确定systemui发生了anr，但是系统中没有systemui的trace日志信息，无法确认发生的原因

06-06 16:52:03.013   516   516 I killinfo:

[4195,10091,999,606,44932,-1,7896244,122012,1317920,69056,492,18840,109124,4194300,2638332,3168236,633176,371240,823988,94288,317048,108464,176212,0,0,0,

0,0,0,0,47436,0]

06-06 16:52:03.013   516   516 I lowmemorykiller: Kill 'com.android.permissioncontroller' (4195), uid 10091, oom_score_adj 999 to free 44932kB rss, 47436kb swap

06-06 16:52:03.013   516   516 I lowmemorykiller: Reclaimed 44932kB at oom_score_adj 606

06-06 16:52:03.014   516   516 E lowmemorykiller: Couldn't get Swap info. Is it kthread?

06-06 16:52:03.017   516   516 I killinfo:

[1519,10018,999,606,37600,-1,7896244,79404,1371636,69060,700,19068,109128,4194300,2651800,3140480,639752,379168,866900,93696,314500,108364,175572,0,0,15

12,0,271,0,0,44664,0]

06-06 16:52:03.017   516   516 I lowmemorykiller: Kill 'android.process.media' (1519), uid 10018, oom_score_adj 999 to free 37600kB rss, 44664kb swap

06-06 16:52:03.017   516   516 I lowmemorykiller: Reclaimed 37600kB at oom_score_adj 606

表明在问题出现时系统内存不足，触发了系统内存回收，这样CPU资源紧张很大概率会触发系统卡顿导致anr

【下一步】

1、优化限制系统后台应用；

2、配合客户调查hht_ota_mgr高占比问题；

3、复现该问题抓取systemui的anr的trace;

#11 - 2023-06-13 15:00 - CD- AF-刘景和

【分析】

6月13号版本已入库优化限制系统后台应用，待确认问题是否改善
【下一步】

待测试验证反馈

#12 - 2023-06-14 13:47 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- Resolution changed from -- to DUPLICATE

此票在Jira上进行跟踪更新，内部关闭。

#13 - 2023-07-10 17:19 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#14 - 2023-07-10 17:19 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

16点51分屏保界面发生冻屏现象.mp4 4.27 MB 2023-06-06 CD TEST-方永红

11.zip 489 KB 2023-06-07 CD BSP-杜磊
